HerbarioHUAZ/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HerbarioHUAZ.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}

HerbarioHUAZ/Controllers/VISTASController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using HerbarioHUAZ;

namespace HerbarioHUAZ.Controllers
{
    public class VISTASController : Controller
    {
        private MERHerbarioContainer db = new MERHerbarioContainer();

        // GET: VISTAS
        public ActionResult Index()
        {
            return View(db.VISTASSet.ToList());
        }

        // GET: VISTAS/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            VISTAS vISTAS = db.VISTASSet.Find(id);
            if (vISTAS == null)
            {
                return HttpNotFound();
            }
            return View(vISTAS);
        }

        // GET: VISTAS/Create
        public ActionResult Create()
        {
            return View();
        }
        //DIRECCION DE PAGINAS
        public ActionResult Mision()
        {
            return View();
        }

        public ActionResult Vision()
        {
            return View();
        }

        public ActionResult ValoresCorporativos()
        {
            return View();
        }

        public ActionResult Ubicacion()
        {
            return View();
        }

        public ActionResult Portafolio()
        {
            return View();
        }
        public ActionResult Catalogo()
        {
            return View();
        }
        public ActionResult Noticias()
        {
            return View();
        }
        public ActionResult Articulo()
        {
            return View();
        }


        // POST: VISTAS/Create
        // Para protegerse de ataques de publicación excesiva, habilite las propiedades específicas a las que desea enlazarse. Para obtener 
        // más información vea http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id_Vistas,Nombre_Vista,DescripcionVista")] VISTAS vISTAS)
        {
            if (ModelState.IsValid)
            {
                db.VISTASSet.Add(vISTAS);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(vISTAS);
        }

        // GET: VISTAS/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            VISTAS vISTAS = db.VISTASSet.Find(id);
            if (vISTAS == null)
            {
                return HttpNotFound();
            }
            return View(vISTAS);
        }

        // POST: VISTAS/Edit/5
        // Para protegerse de ataques de publicación excesiva, habilite las propiedades específicas a las que desea enlazarse. Para obtener 
        // más información vea http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id_Vistas,Nombre_Vista,DescripcionVista")] VISTAS vISTAS)
        {
            if (ModelState.IsValid)
            {
                db.Entry(vISTAS).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(vISTAS);
        }

        // GET: VISTAS/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            VISTAS vISTAS = db.VISTASSet.Find(id);
            if (vISTAS == null)
            {
                return HttpNotFound();
            }
            return View(vISTAS);
        }

        // POST: VISTAS/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            VISTAS vISTAS = db.VISTASSet.Find(id);
            db.VISTASSet.Remove(vISTAS);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

HerbarioHUAZ/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

HerbarioHUAZ/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

HerbarioHUAZ/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<hr class="featurette-divider">

<div class="container theme-showcase" role="main">
    <div class="jumbotron">
        <div class="row">
            <div style="text-align: center;">
                <div class="col-md-8"><h1 style="font-family:calibri, Garamond, comic cans"><strong><font color="blue">Jardín Botánico Uniamazonia Herbario HUAZ&nbsp;</font></strong></h1></div>
                <div style="image-orientation:inherit;">
                    <div class="col-md-4"><img src="~/Images/logo1.jpg" class="img-circle"></div>
                </div>
            </div>
        </div>
    </div>
    <div class="page-header"></div>
    <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
            <li data-target="#carousel-example-generic" data-slide-to="1"></li>
            <li data-target="#carousel-example-generic" data-slide-to="2"></li>
        </ol>
        <div class="carousel-inner" role="listbox">
            <div class="item active">
                <img class="first-slide" src="~/Images/visita.jpg" alt="First slide">
                <div class="container">
                    <div class="carousel-caption">
                        <h1>WELCOME!</h1>
                        <p>Haz parte del Jardín Botánico Uniamazonia UAZ</p>
                        <p>@Html.ActionLink("Registrese Hoy", "Register", "Account", null, new { @class = "btn btn-lg btn-primary" })</p>
                    </div>
                </div>
            </div>
            <div class="item">
                <img class="second-slide" src="~/Images/nino.jpg" alt="Second slide">
                <div class="container">
                    <div class="carousel-caption">
                        <h1>Talleres Educativos y Culturales</h1>
                        <p>Jardín Botánico Uniamazonia UAZ</p>
                        <p>@Html.ActionLink("Leer Más", "Portafolio", "VISTAS", null, new { @class = "btn btn-lg btn-primary" })</p>
                    </div>
                </div>
            </div>
            <div class="item">
                <img class="third slide" src="~/Images/noticias.jpg" alt="Third slide">
                <div class="container">
                    <div class="carousel-caption">
                        <h1>Noticias</h1>
                        <p>Jardín Botánico Uniamazonia UAZ</p>
                        <p>@Html.ActionLink("Leer Más", "Noticias", "VISTAS", null, new { @class = "btn btn-lg btn-primary" })</p>
                    </div>
                </div>
            </div>
        </div>
        <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
            <span class="sr-only">Anterioir</span>
        </a>
        <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
            <span class="sr-only">Siguiente</span>
        </a>
    </div>
</div>

<hr class="featurette-divider">